Clicking snap:// urls doesn't work

Bug #1725238 reported by Alan Pope 🍺🐧🐱 πŸ¦„ on 2017-10-20
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
firefox (Ubuntu)
High
Rico Tzschichholz

Bug Description

I am unable to trigger GNOME Software to install snaps.

Steps to reproduce:

1. Visit http://snapcraft.io/zzt
2. Click green Install button
3. Browser is taken to snap://zzt

Outcome:-

"The address wasn't understood" error page in Firefox

Expected outcome:-

GNOME Software launches directly on the ZZT snap app page.

Here's a video showing it:- https://www.youtube.com/watch?v=rOaGt8W2zrY

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: firefox 56.0+build6-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alan 2350 F.... pulseaudio
 /dev/snd/controlC1: alan 2350 F.... pulseaudio
BuildID: 20171003222101
Channel: Unavailable
CurrentDesktop: ubuntu:GNOME
Date: Fri Oct 20 12:06:27 2017
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2017-08-02 (78 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170712)
Locales: extensions.sqlite corrupt or missing
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=56.0/20171003222101 (In use)
RunningIncompatibleAddons: False
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/13/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: JBET66WW (1.30 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BV001BUK
dmi.board.vendor: LENOVO
dmi.board.version: 0B98417 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrJBET66WW(1.30):bd09/13/2017:svnLENOVO:pn20BV001BUK:pvrThinkPadT450:rvnLENOVO:rn20BV001BUK:rvr0B98417WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T450
dmi.product.name: 20BV001BUK
dmi.product.version: ThinkPad T450
dmi.sys.vendor: LENOVO

Will Cooke (willcooke) wrote :

Olivier - could you have a look at this one? I've asked Chris C for some pointers and will let you know what I find out.

Changed in firefox (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Olivier Tilloy (osomon)
Changed in firefox:
importance: Unknown → Medium
status: Unknown → Fix Released
Olivier Tilloy (osomon) wrote :

I can observe the issue in a clean artful VM, but not on my desktop running artful where clicking snap:// links opens gnome-software as expected.

Rico Tzschichholz (ricotz) wrote :

The current firefox - 57.0~b12+build2-0ubuntu0.*.*.1 packages include this patch now.
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next/+packages

Changed in firefox (Ubuntu):
assignee: Olivier Tilloy (osomon) → Rico Tzschichholz (ricotz)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 57.0+build4-0ubuntu0.17.04.5

---------------
firefox (57.0+build4-0ubuntu0.17.04.5) zesty-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

  [ Jamie Strandboge ]
  * Update AppArmor profile

 -- Chris Coulson <email address hidden> Thu, 09 Nov 2017 23:04:37 +0000

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 57.0+build4-0ubuntu0.14.04.4

---------------
firefox (57.0+build4-0ubuntu0.14.04.4) trusty-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

 -- Chris Coulson <email address hidden> Thu, 09 Nov 2017 23:54:37 +0000

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 57.0+build4-0ubuntu0.17.10.5

---------------
firefox (57.0+build4-0ubuntu0.17.10.5) artful-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Drop patches that are fixed upstream
    - remove debian/patches/use-ucontext_t-in-breakpad-client.patch
    - remove debian/patches/use-ucontext_t-in-breakpad-client_2.patch
    - update debian/patches/series
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

  [ Jamie Strandboge ]
  * Update AppArmor profile

 -- Chris Coulson <email address hidden> Thu, 09 Nov 2017 22:09:49 +0000

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 57.0+build4-0ubuntu0.16.04.5

---------------
firefox (57.0+build4-0ubuntu0.16.04.5) xenial-security; urgency=medium

  * New upstream stable release (57.0build4)
    - see USN-3477-1

  [ Rico Tzschichholz ]
  * Remote OSProtocolHandlerExists to properly launch custom protocol
    handler (LP: #1725238)
    - debian/patches/moz1382323.patch
  * Refresh patches
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ppc-no-static-sizes.patch
  * Install watermark.svg from the onbording extension as symbolic icon
    - debian/build/rules.mk
    - debian/firefox.dirs.in
  * Update make-langpack-xpis target
    - debian/build/rules.mk
  * Bump build-dep on rustc >= 1.19.0 and cargo >= 0.20
  * Set REAL_LOCALE_MERGEDIR rather than LOCALE_MERGEDIR
    - debian/build/rules.mk
  * Build-dep on clang-4.0, llvm-4.0-dev on all archs for stylo
    - update debian/control{,.in}

  [ Chris Coulson ]
  * Update revert-upstream-search-engine-changes.patch to ensure we keep the
    region overrides for non-Google plugins
  * Update disable-geo-specific-search-defaults-for-us.patch to pick up some
    more locales
  * Update searchplugins.conf to ignore recently added experimental and hidden
    Amazon and Google search plugins
  * Add Urdu localized Amazon search plugin
    - add debian/searchplugins/ur/amazon-in.xml
    - update debian/config/searchplugins.conf
  * Don't set distribution.searchplugins.defaultLocale, as this breaks our
    custom searchplugins for non en-US locales
    - update debian/vendor-gre.js
  * Drop region-specific custom Google searchplugins, as these aren't needed
    anymore
    - remove debian/searchplugins/en-GB/google.xml
    - remove debian/searchplugins/en-ZA/google.xml
    - remove debian/searchplugins/ku/google.xml
    - update debian/config/searchplugins.conf
  * Refresh Google search plugin
    - update debian/searchplugins/en-US/google.xml
  * Refresh Baidu search plugin
    - update debian/searchplugins/zh-CN/baidu.xml
  * Refresh Amazon search plugins
    - update debian/searchplugins/de/amazondotcom-de.xml
    - update debian/searchplugins/en-GB/amazon-en-GB.xml
    - update debian/searchplugins/en-US/amazondotcom.xml
    - update debian/searchplugins/fr/amazon-france.xml
    - update debian/searchplugins/it/amazon-it.xml
    - update debian/searchplugins/ja/amazon-jp.xml
    - update debian/searchplugins/zh-CN/amazondotcn.xml
    - remove unused debian/searchplugins/sq/amazon-en-GB.xml

  [ Jamie Strandboge ]
  * Update AppArmor profile

 -- Chris Coulson <email address hidden> Thu, 09 Nov 2017 23:36:33 +0000

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.